Bug 1426994 - Review Request: rhythmbox-alternative-toolbar - Rhythmbox plugin
Summary: Review Request: rhythmbox-alternative-toolbar - Rhythmbox plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 02:13 UTC by Tonet Jallo
Modified: 2017-04-19 08:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 01:50:35 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Tonet Jallo 2017-02-27 02:13:49 UTC
Spec URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar.spec
SRPM URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar-0.17.3-1.fc25.src.rpm
Description:
Hi, I just finished to package this Rhythmbox plugin, I hope you can help me doing a review, I would apreciate it.

Alternative Toolbar replaces the Rhythmbox large toolbar with a Client-Side
Decorated or Compact toolbar which can be hidden.

Fedora Account System Username: tonet666p

Comment 1 Athos Ribeiro 2017-02-27 04:28:16 UTC
Hi tonet,

fedora-review was complaining about not running glib-compile-schemas in postun, but that's not needed as we can see in [1].

There is no need to use a commit in the Source0, since upstream provides tags. See [2] for reference.

The following directories are being created but not owned:
  /usr/share/rhythmbox/plugins/alternative-toolbar/ui
  /usr/share/rhythmbox/plugins/alternative-toolbar
  /usr/share/rhythmbox/plugins/alternative-toolbar/img
Your package should own these.

Your LICENSE file seems to be duplicated, as you can see here:
  /usr/lib64/rhythmbox/plugins/alternative-toolbar/LICENSE
  /usr/share/licenses/rhythmbox-alternative-toolbar/LICENSE

The rhythmbox package excludes some architectures (s390 s390x), shouldn't you do the same, since this is a plugin for it?

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1409315
[2] https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Tags

Comment 2 Tonet Jallo 2017-03-03 20:16:13 UTC
Spec URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar.spec
SRPM URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar-0.17.3-2.fc25.src.rpm
Description:
I just updated the SPEC with corrections, I hope it is valid now.

Greetings.

Fedora Account System Username: tonet666p

Comment 3 Athos Ribeiro 2017-03-04 03:24:02 UTC
Hi Tonet,

Thank you for the fixes, the package looks better now!

There are still a few fixes left that we need to go through to get this review approved!

1 - The licence file is being duplicated during your install process. Remove the one in %{_libdir}/rhythmbox/plugins/alternative-toolbar/LICENSE in the end of the install process and just replace it with
%licence LICENSE

2 - when you set a prefix for autogen, you can replace /usr with our macro %{_prefix}

3 - There are some files listed twice, as you can see in your build log. Note that in the %files section, whenever you list a directory, everything inside that directory is automatically included. So, after including
%{_datadir}/rhythmbox/plugins/alternative-toolbar
You don't need to include other things in there, like
%{_datadir}/rhythmbox/plugins/alternative-toolbar/ui/
%{_datadir}/rhythmbox/plugins/alternative-toolbar/img/

4 - About the comments on the ExcludeArch, since rpmlint complains about it and we do not have any binaries in your package, I believe it would be better to have a noarch package here, what do you think? So, change the ExcludeArch for
BuildArch: noarch
I am sorry for this last one :)

5 - Changing v0.17.3 for v%{version} in the Source0 string will help you with updates in the future.

Let me know if you need help with these. I went through my whole checklist this time, so as soon as you address all these points, I will approve the package!

Comment 4 Tonet Jallo 2017-03-08 05:40:30 UTC
Spec URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar.spec
SRPM URL: https://tonet666p.fedorapeople.org/rhythmbox-alternative-toolbar-0.17.3-3.fc25.src.rpm
Description:
Hi Athos, about the topic 4, I read about it at the following links:
http://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Support
https://pagure.io/packaging-committee/issue/355

And added ExclusiveArch according the last Rhythmbox build, you can see the archs at the following link:
https://koji.fedoraproject.org/koji/buildinfo?buildID=856081

Thank you for your time.

Greetings.

Fedora Account System Username: tonet666p

Comment 5 Athos Ribeiro 2017-03-08 14:36:00 UTC
Hi Tonet,

Thanks for looking ofr a solution on the archs problem.

Note that rpmlint throw the following warnings:
  rhythmbox-alternative-toolbar.noarch: W: only-non-binary-in-usr-lib
  rhythmbox-alternative-toolbar.src:42: W: libdir-macro-in-noarch-package (main package) %{_libdir}/rhythmbox/plugins/alternative-toolbar/

The first warning should be ignored as stated in [1].

For the second one, as we can see in [2], [3] and [4], it makes more sense to make your package arched. Since I took to long to realize this, I am also including a new version of the spec file here for you and approving your package!

Note that by changing the package from an noarch package to an arched package, rpmlint will trigger an error about not having a binary file in an arched package. The other rhythmbox plugins are also arched and do not have binary files as well, and since one of them is packaged with rhythmbox itself, I will understand this is the right wat to go with rhythmbox plugins.

Spec URL: https://athoscr.fedorapeople.org/packaging/rhythmbox-alternative-toolbar.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/rhythmbox-alternative-toolbar-0.17.3-4.fc25.src.rpm

Package approved.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=436500
[2] http://pkgs.fedoraproject.org/cgit/rpms/rhythmbox-ampache.git/tree/rhythmbox-ampache.spec?id=540c6b5f52ff1be27b4897f0da5e255cf53a0611#n62
[3] https://pagure.io/packaging-committee/issue/203
[4] https://bugzilla.redhat.com/show_bug.cgi?id=1222484

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rhythmbox-alternative-toolbar-0.17.3-3.fc27.noarch.rpm
          rhythmbox-alternative-toolbar-0.17.3-3.fc27.src.rpm
rhythmbox-alternative-toolbar.noarch: W: only-non-binary-in-usr-lib
rhythmbox-alternative-toolbar.src:42: W: libdir-macro-in-noarch-package (main package) %{_libdir}/rhythmbox/plugins/alternative-toolbar/
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rhythmbox-alternative-toolbar.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rhythmbox-alternative-toolbar (rpmlib, GLIBC filtered):
    rhythmbox



Provides
--------
rhythmbox-alternative-toolbar:
    rhythmbox-alternative-toolbar



Source checksums
----------------
https://github.com/fossfreedom/alternative-toolbar/archive/v0.17.3/alternative-toolbar-0.17.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0abd67515e766d1611d2a206eb0e31f6553c0c6e3db84a6b08a0723a511aa138
  CHECKSUM(SHA256) upstream package : 0abd67515e766d1611d2a206eb0e31f6553c0c6e3db84a6b08a0723a511aa138

Comment 6 Gwyn Ciesla 2017-03-09 13:51:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rhythmbox-alternative-toolbar

Comment 7 Tonet Jallo 2017-03-09 14:51:46 UTC
I will continue this work, thank you guys for your time.

Comment 8 Fedora Update System 2017-03-09 15:49:29 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-605fa007e6

Comment 9 Fedora Update System 2017-03-09 16:16:08 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e093f078b9

Comment 10 Fedora Update System 2017-03-10 04:28:10 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2479ef43b

Comment 11 Fedora Update System 2017-03-11 00:21:45 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2479ef43b

Comment 12 Fedora Update System 2017-03-11 13:53:32 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-605fa007e6

Comment 13 Fedora Update System 2017-03-11 14:25:20 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e093f078b9

Comment 14 Fedora Update System 2017-03-20 01:50:35 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-03-20 05:49:47 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-01 16:54:39 UTC
rhythmbox-alternative-toolbar-0.17.3-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Vít Ondruch 2017-04-19 08:50:11 UTC
"Summary:	Rhythmbox plugin"

^^ This is hardly good summary. Could you please improve it to express what the package is actually about, e.g. "Client-Side Decorated or Compact toolbar alternative for Rhythmbox"


Note You need to log in before you can comment on or make changes to this bug.